body {
  /* background-color: #E4E5E4; */
  margin: 0px;
  /* font-family: 'EB Garamond', serif; */
  /* font-family: Garamond, Georgia, 'Times New Roman', Times, serif; */
  /* font-family: Helvetica, Arial, sans-serif; */
  /* font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Ubuntu;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif; */
  font-family: Roboto,arial,sans-serif
}

.profile-section-head {
    margin-top: 16px;
    margin-bottom: 8px;
    /* color: red; */
    font-size: 16px;
    color: #666;
    text-transform: uppercase;
    margin-top: 24px;
    /* text-align: center; */
}

.bar-top {
  border-top: 1px solid #ddd;
  margin-top: 8px;
  padding-top: 8px;
}

.topbar {
  background-color: white;
  justify-content: space-between;
  border-bottom: 1px solid #ddd;
}

.button {
  cursor: pointer;
}

.pending-button {
  font-size: 16px;
  background-color: #fff;
  color: #666;
  padding: 8px; 
  border: none;
  text-decoration: none;
  display: flex;
  border-radius: 8px;
  flex-direction: row;
  cursor: pointer;
}

#account-popup {
  background-color: white;
  z-index: 100;
  position: absolute;
  right: 0px;
  left: 0px;
  border: 1px solid #ddd;
  padding: 16px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.login-button {
  font-size: 16px;
  display: inline-block;
  background-color: #1DA1F2;
  color: white;
  padding: 8px; 
  border: none;
  text-decoration: none;
  /* display: flex; */
  border-radius: 8px;
  flex-direction: row;
  cursor: pointer;
}

.disabled-button {
  font-size: 16px;
  background-color: #ddd;
  color: #666;
  padding: 8px; 
  border: none;
  text-decoration: none;
  display: inline-block;
  border-radius: 8px;
  flex-direction: row;
  /* cursor: pointer; */
}


.cancel-button {
  background-color: white;
  /* border: 1px solid #1DA1F2; */
  border: none;
  margin-right: 16px;
  border-radius: 8px;
  padding: 9px;
  font-size: 16px;
  color: #666;
  align-self: center;
  margin-left: 16px;
  cursor: pointer;
  /* margin: 16px; */
}

.comment-published {
  padding: 4px;
}

.reply-chip {
  margin-top: 4px;
  font-size: 12px;
  background-color: #f5f5f5;
  padding: 3px 6px;
  border-radius: 8px;
  margin-left: 24px;
  cursor: pointer;
  display: inline-block;
  border: 1px solid #ddd;
}

#replyBox {
  margin-top: 12px;
  border-left: 1px solid #ddd;
  margin-left: 8px;
  padding-left: 16px;
  margin-bottom: 0px;
}

.popup-comment-bubble {
  /* border: 1px solid #ddd;  */
  font-size: 16px; 
  /* line-height: 21px;  */
  border-radius: 8px; 
  /* padding: 4px 8px; */
  /* margin: 8px; */
}

.popup-comment {
  margin-top: 16px;
  margin-bottom: 16px;
}

.popup-comment-line {
  display: flex;
  padding: 0px 8px;
  margin: 2px 0px;
}

.highlighted-popup-comment-line {
  background-color: #f5f5f5;
  border-radius: 12px;
  padding: 8px;
}

.comment-unpublished {
  /* display: none; */
  background-color: #eee;
  color: #222;
  padding: 8px;
  margin: 4px;
  border-radius: 8px;
}

.comment-unpublished .published-by {
  display: none;
}

.collapsed-preview {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis; 
}

.expanded-preview {

}

.show-click:active {
  opacity: 0.5;
}

.secondary-button {
  background-color: white;
  border: 1px solid #1DA1F2;
  border-radius: 8px;
  padding: 8px;
  font-size: 16px;
  color: #1DA1F2;
  align-self: center;
  margin-left: 16px;
  cursor: pointer;
  /* margin: 16px; */
}


.edit-bullet, .edit-box {
  height: 40px;
  /* width: 100%; */
  font-family: Roboto,arial,sans-serif;
  font-size: 18px;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
}

.edit-area {
  /* height: 40px; */
  /* width: 100%; */
  font-family: Roboto,arial,sans-serif;
  font-size: 18px;
  /* resize: none; */
  /* overflow: hidden; */
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
}

/* .edit-box {
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 18px;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
} */


.edit-comment {
  height: 32px;
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 16px;
  resize: none;
  overflow: hidden;
  padding: 7px 10px;
  border: 1px solid #ddd;
  /* border-radius: 8px; */
  /* margin: 8px; */
}


.edit-fixed {
  height: 200px;
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 18px;
  resize: none;
  overflow: auto;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
  margin-bottom: 4px;
}


.edit-links {
  height: 34px;
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 14px;
  resize: none;
  overflow-y: hidden;
  overflow-x: auto;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
  margin-top: 4px;
  white-space: nowrap;
  scroll-padding: 8px;
}

.pub-dropdown {
  font-size: 20px;
  margin-bottom: 8px;
  padding: 4px;
  border-radius: 8px;
  background-color: white;
  border-color: #ddd;
}

.owner-dropdown {
  font-size: 16px;
  margin-bottom: 8px;
  padding: 4px;
  border-radius: 8px;
  background-color: white;
  border-color: #ddd;
}

.type-dropdown {
  font-size: 14px;
  margin-bottom: 8px;
  padding: 2px;
  border-radius: 8px;
  background-color: white;
  border-color: #ddd;
}

.edit-members {
  height: 34px;
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 14px;
  resize: none;
  overflow-y: hidden;
  overflow-x: auto;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
  margin-top: 4px;
  white-space: nowrap;
  scroll-padding: 8px;
}

.edit-title {
  height: 54px;
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  font-size: 30px;
  font-weight: bold;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
}


.new-bullet {
  height: 30px;
  font-family: Roboto,arial,sans-serif;
  font-size: 18px;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
  color: #666;
  margin-bottom: 16px;
}


.edit-more {
  color: rgb(27, 149, 224); 
  font-size: 14px; 
  height: 34px;
  /* margin-left: 32px;  */
  margin-top: 4px; 
   
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
}

a {
  text-decoration: none;
}

.thumb-photo {
  width: 16px;
  height: 16px;
  /* border-radius: 8px; */
  margin-right: 6px;
}

.header-photo {
  width: 32px;
  height: 32px;
  /* border-radius: 8px; */
  margin-right: 12px;
}

.publist-photo {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}


.profile-photo {
  width: 100px;
  height: 100px;
  /* border-radius: 50px; */
  margin-right: 24px;
}


a.link, .link {
  color: rgb(27, 149, 224);
  /* text-decoration: underline; */
}

a.link-url, .link-url {
  display: block;
  font-size: 13px; color: #419B47;
  overflow-x: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  /* text-decoration: underline; */
}


.edit-changelog {
  color: #666; 
  font-size: 14px; 
  height: 34px;
  /* margin-left: 32px;  */
  margin-top: 4px;    
  width: 100%;
  font-family: Roboto,arial,sans-serif;
  resize: none;
  overflow: hidden;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
}


.screen {
  max-width: 500px;
  margin: auto;
  /* margin-top: 16px; */
  /* height: 700px; */
  overflow-y: hidden;
  /* background-color: #FDF4E4;  */
  /* background-color: white; */
  /* box-shadow: rgba(85, 85, 85, 0.5) 0px 2px 8px; */
  /* border: 1px solid #ddd;
  border-radius: 16px; */
  padding: 0px 4px;
}

header {
  /* border-bottom: 1px solid #ddd;  */
  padding: 12px 12px;
  margin-bottom: 0px;
  font-size: 18px;
  display: flex;
  flex-direction: row;
}


/* img {
  /* width: 64px;
  height: 64px;
  margin-right: 16px;
  object-fit: cover; */
} */


header img {
  width: 48px;
  height: 48px;
  margin-right: 16px;
  object-fit: cover;

}

header .big img {
  width: 32px;
  height: 32px;
  margin-right: 16px;
  object-fit: cover;

}


h1 {
  /* text-align: center; */
  font-weight: 600;
  font-size: 30px;
  margin: 0px;
  /* margin-top: 16px;   */
  /* margin-bottom: 16px; */
}

.space-right {
  margin-right: 16px;
}

article {
  border: 1px solid #ddd;
  border-radius: 8px;
  /* margin: 16px; */
  margin-bottom: 8px;
  padding: 12px 16px;
  background-color: white;
}

article.main-article {
  border-radius: 0px;
}

.more {
  border: 1px solid #ddd;
  border-radius: 8px;
  /* margin: 16px; */
  padding: 4px 16px;
  background-color: white;
  color: #666;
}

.hbox {
  display: flex;
  flex-direction: row;
}

div {
  overflow-x: hidden;
}

.hright {
  overflow-x: hidden;
}

h2 {
  font-size: 16px;
  font-weight: 600;
  margin: 0px;
}

article summary {
  display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* white-space: nowrap;
  overflow-x: hidden; */
  text-overflow: ellipsis;
  color: #444;
  font-size: 16px;
  line-height: 20px;
  margin-top: 4px;
}

.two-line {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  text-overflow: ellipsis;
  white-space: normal;
  overflow-y: hidden;
}

.body-collapsed .body-text{
  cursor: pointer;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  text-overflow: ellipsis;
  white-space: normal;
  overflow-y: hidden;
  margin-top: 4px;
}

.chip-host {
  display: inline-block;
  font-weight: 400;
  background-color: rgb(27, 149, 224);
  border-radius: 4px;
  color: white;
  padding: 2px 4px;
  font-size: 10px;
  margin-left: 6px;
  line-height: 11px;
}

.chip-pub {
  display: inline-block;
  font-weight: 400;
  /* background-color: rgb(27, 149, 224); */
  /* border-radius: 4px; */
  color: #666;
  border: 1px solid #999;
  padding: 1px 2px;
  font-size: 10px;
  margin-left: 6px;
  line-height: 9px;
}


.badge-member {
  color: rgb(27, 149, 224);
  /* padding: 2px 4px; */
  margin-left: 6px;
}

.person-info {
  font-size: 14px;
  color: #666;
}

.chip-member {
  display: inline-block;
  font-weight: 400;
  background-color: rgb(27, 149, 224);
  border-radius: 4px;
  color: white;
  padding: 2px 4px;
  font-size: 10px;
  margin: 0px 4px;
}


.body-collapsed .body-lines{
  display: none;
}

.body-expanded .body-text {
  display: none;
}

.body-expanded .body-lines {
  cursor: pointer;
}

.body-more {
  color:rgb(27, 149, 224);
  cursor: pointer;
  font-size: 14px;
  margin-bottom: 4px;
}

.body-expanded .body-more {
  display: none;
}

header .header-right {
  font-size: 24px;
  overflow-x: visible;
}

header summary {
  font-size: 15px;
  margin-top: 0px;
}

.info {
  font-size: 15px;
  margin: 2px 0px;
}

p {
  margin: 4px 0px;
}

.main {
  padding: 0px 16px;
}

h3 {
  font-size: 18px; 
  margin-top: 8px;
  margin-bottom: 8px;
}

a {
  color: black;
}

.center-box {
  display: flex;
  justify-content: center;
}

.icon-button {
  padding: 8px;
  color: #666;
  cursor: pointer;
  /* border: 1px solid #ddd;
  border-radius: 8px; */
}
.icon-button:active {
  color: #999;
}


.button {
  background-color: #1DA1F2;
  border-radius: 16px;
  padding: 8px 16px;
  color: white;
  align-self: center;
  /* margin: 16px; */
}

.button-icon {
  /* color: #1DA1F2; */
  color: #ccc;
  font-size: 18px;
}
.button-icon:hover {
  color: #999;
}

.following-button-icon {
  color: #3AB312;
  font-size: 18px;
}
.following-button-icon:hover {
  color: #26740b;

}


.button-add-external {
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 9px;
  margin: 4px;
  flex-shrink: 0;
  font-size: 14px;
  /* width: 16px; */
  height: 16px;
  color: #666;
  cursor: pointer;
}

.following-button {
  cursor: pointer;
  background-color: white;
  color: #3AB312;
  border-radius: 16px;
  padding: 7px 15px;
  /* color: white; */
  border: 1px solid #3AB312;
  align-self: center;
}


.button-empty {
  background-color: white;
  border: 1px solid #1DA1F2;
  border-radius: 16px;
  padding: 8px 16px;
  color: #1DA1F2;
  align-self: center;
  /* margin: 16px; */
}


.follow-button {
  /* background-color: #B6E9D1; */
  border-radius: 16px;
  border: 1px solid #666;
  padding: 2px 8px;
  font-weight: normal;
  font-size: 15px;
  margin-left: 8px;
  color: #666;
}

p {
  color: #222;
}

.hscroll {
  width: 100%;
  overflow-x: hidden;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.hholder {
  display: flex;
  flex-direction: row;
  justify-items: space-between;
  align-items: center;
}

.hscroll article {
  width: 120px;
  padding: 4px 8px;
  margin-left: 0px;
  margin-top: 0px;
  margin-bottom: 0px;
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  /* height: 64px; */
}

.hscroll img {
  width: 16px;
  height: 32px;
  margin-right: 0px;
  margin-left: 8px;
}

img.big {
  width: 64px;
  height: 64px;
  object-fit: cover;
  margin: 0px;
  border-radius: 8px;
}

.hscroll article h2 {
  margin-top: 4px;
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* white-space: nowrap;
  overflow-x: hidden; */
  text-overflow: ellipsis;
  font-size: 16px;
  width: 100%;
}

.followed-card, .unfollowed-card {
  border-radius: 8px;
  max-width: 500px;
  /* box-shadow: rgb(85 85 85 / 50%) 0px 4px 4px; */
  /* margin-top: 8px;
  margin-bottom: 8px; */
  margin: 8px auto;
}

.highlighted-bubble {
  /* box-shadow: rgb(85 85 85 / 50%) 0px 4px 4px; */
  /* border: 1px solid #666; */
  background-color: #f5f5f5;
}

.followed-card {
  /* border: 4px solid #80B36F; */
  border: 2px solid #3AB312;
  /* border: 4px solid #A3F388; */
}

.unfollowed-card {
  border: 2px solid #97D0F3;
}

.preview-card:hover {
  background-color: #f9f9f9;
}

.preview-card{
  border-radius: 4px;
  max-width: 500px;
  box-shadow: rgb(85 85 85 / 50%) 0px 1px 1px;
  margin-top: 8px;
  margin-bottom: 8px;
  margin: 8px auto;
  /* padding: 12px 12px; */
  /* border: none; */
  /* margin-bottom: -1px; */
}

.preview-card {
  /* border-left: none;
  border-right: none;
  border-bottom: 1px solid #ddd;
  border-top: none; */
}


.preview-unread {
  box-shadow: rgb(85 85 85 / 50%) 0px 2px 2px;  
  background-color: #f5f5f5;
}

.preview-read {
  border: 1px solid #eee;
  color: #444;
}


.preview-followed-card, .preview-unfollowed-card {
  border-radius: 4px;
  max-width: 500px;
  box-shadow: rgb(85 85 85 / 50%) 0px 1px 1px;
  /* margin-top: 8px;
  margin-bottom: 8px; */
  margin: 8px auto;
  padding: 12px 12px;
}

.preview-card-title {
  font-size: 18px; 
}

.preview-card-section {
  font-size: 14px;
  margin-bottom: 0px;
}

.preview-card .preview-card-section {
  margin-top: 6px
}

.preview-unread .preview-card-title, .preview-followed-card .preview-card-title, .preview-unfollowed-card .preview-card-title {
  font-weight: 600;
}

.preview-unread .pubName {
  /* font-weight: 600; */
}

.preview-unread .preview-card-section {
  font-weight: 600;
}

.preview-unread .intro-text {
  color: #222;
}

.preview-followed-card {
  /* border: 4px solid #80B36F; */
  border: 1px solid #3AB312;
  /* border: 4px solid #A3F388; */
}

.preview-unfollowed-card {
  border: 1px solid #97D0F3;
}





article.chapter h2 {
  text-align: center; 
}

.tab-selected {
  font-size: 18px; 
  padding-bottom: 4px; border-bottom: 4px solid #1DA1F2; 
  color: #1DA1F2; 
  margin-right: 20px;
  flex-shrink: 0;
}

.tab-unselected {
  display: block; font-size: 18px; 
  margin-right: 20px;
  /* padding-right: 16px; */
  flex-shrink: 0;
}

.comments-tab-selected {
  font-size: 16px; 
  padding-bottom: 4px; 
  border-bottom: 1px solid #1DA1F2; 
  color: #1DA1F2; 
  margin-right: 20px;
  flex-shrink: 0;
}


.comments-tab-unselected {
  display: block; font-size: 16px; 
  margin-right: 20px;
  color: #666;
  /* padding-right: 16px; */
  flex-shrink: 0;
  cursor: pointer;
}

.comments-tab-unselected:hover {
  border-bottom: 1px solid #666; 
}



.home-tab-selected {
  font-size: 16px; 
  padding-bottom: 4px; border-bottom: 4px solid #1DA1F2; 
  color: #1DA1F2; 
  margin-right: 16px;
  flex-shrink: 0;
}

.home-tab-unselected {
  display: block; font-size: 16px; 
  margin-right: 16px;
  /* padding-right: 16px; */
  flex-shrink: 0;
}


.intro-text {
  margin-top: 4px;
  color: #666;
  /* display: -webkit-box;
  overflow: hidden;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2; */

}

.hscroll article.chapter summary {
  text-align: center;
}

.person-comments {
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 8px;
  /* padding-bottom: 4px; */
  /* margin-bottom: 8px; */
  box-shadow: rgb(85 85 85 / 50%) 0px 2px 2px;
  margin: 2px;
  margin-bottom: 8px;

}

.highlight-comment {
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 8px;
  /* padding-bottom: 4px; */
  /* margin-bottom: 8px; */
  box-shadow: rgb(85 85 85 / 50%) 0px 2px 2px;
  margin: 2px;
  margin-bottom: 8px;
}

.comment-section-head {
  color: #666;
  margin-bottom: 8px;
  margin-top: 16px;
  margin-left: 4px;
}


.person {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 64px;
  padding-right: 6px;
  margin-top: 4px;
  flex-shrink: 0;
}

.person img {
  width: 60px;
  height: 60px;
  border-radius: 30px;
  object-fit: cover;
  margin: 0px;
}

.person img.litup {
  border: 2px solid #B6E9D1;
  width: 56px;
  height: 56px;
  border-radius: 30px;
}


.person h2 {
  font-size: 14px;
  text-align: center;
  width: 64px;
  text-overflow: ellipsis;
  overflow: hidden;
  font-weight: 500;
  margin-top: 2px;
  /* white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis; */
  
}

.prop-group {
  margin-top: 8px;
}

.key-prop {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 4px;
}

.key-img {
  width: 18px;
  height: 18px;
  margin-right: 6px;
}

img.small {
  width: 16px;
  height: 16px;
  border-radius: 8px;
  margin: 0px;
  margin-right: 4px;
}

img.medium {
  width: 36px;
  height: 36px;
  border-radius: 18px;
  margin: 0px;
  margin-right: 8px;
}

.value {
  font-size: 16px;
  color: #444
}

.post {
  text-align: start;
}

.hscroll article.post h2 {
  text-align: start;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  width: 100%;
} 

.chapter {
  align-items: center;

}

.chapter h2 {
  white-space: nowrap;
  text-overflow: nowrap;
  overflow-x: hidden;
}


article.post {
  padding: 4px 8px;
  width: 220px;
  flex-shrink: 0;
}
.hscroll article.post summary {
  text-align: start;
  font-weight: 400;
  color: #222;
}
.info {
  color: #666;  
  /* text-align: start; */
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow-x: hidden;
  margin-top: 2px;
}

p {
  font-size: 16px;
}

/* .highlight {
  margin: 4px 0px;
} */

.chip {
  /* background-color: #E4E6EB; */
  background-color: #DAFFCD;
  padding: 4px 8px;
  font-size: 13px;
  border-radius: 8px;
  font-weight: normal;
  margin-right: 4px;
}

.more img {
  width: 16px;
  height: 8px;
  margin-right: 8px;
  color: #666;
}

.member {
  margin: 4px 0px;
  padding: 8px;
}

img.big {
  height: 64px;
  width: 64px;
  border-radius: 32px; 
}

img.award {
  width: 16px;
  height: 16px;
  margin: 0px;
  margin-left: 4px;
  margin-right: 4px;
}

.hline {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.rightcol {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.date {
  margin-left: 4px;
  color: #666;
  font-weight: normal;
  font-size: 14px;
}

.small-button {

}

.response {
  /* border: 1px solid #ddd;
  padding: 4px 6px; */
  padding: 4px 0px;
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.lead {
  font-weight: 600; 
  color: black;
}

.small {
  font-size: 14px;
}

/* .big {
  font-size: 18px;
} */

.author {
  font-weight: 600;
}

.faint {
  color: #666;
  font-weight: normal;
}

.member summary {
  -webkit-line-clamp: 1;
}

/* .highlight .hline {
  margin-bottom: 12px;
} */

/* .highlight h2 {
  font-size: 18px;
} */

/* .hline img {
  width: 32px;
  height: 32px;
  border-radius: 16px;
  margin-right: 8px;
} */

.byline {
  font-size: 13px;
  margin-top: 2px; 
  margin-bottom: 8px;
}

.byline img {
  width: 12px;
  height: 12px;
  border-radius: 6px;
  margin-right: 4px;
}

.byline {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.replyTo {
  border-left: 1px solid black;
  padding-left: 8px;
  font-size: 14px;
  margin-left: 8px;
  margin-top: 8px;
  font-weight: 600;
  /* color: #666; */
}

.postTitle {
  /* border-left: 1px solid black; */
  padding-left: 8px;
  font-size: 14px;
  /* margin-left: 8px; */
  margin-top: 8px;
  font-weight: 600;
  /* color: #666; */
}


.replyText {
  margin: 4px 8px;
}

.replyBubble {
  margin-top: 4px;
  border: 1px solid #ddd;
  border-radius: 8px;
}

img.award {
  width: 16px;
  height: 16px;
}

.reply-bubble {
  margin-top: 4px;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 6px 8px;
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
  background-color: #f5f5f5;
}

.tiny-bubble {
  margin-top: 4px;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 2px 8px;
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
  background-color: #f5f5f5;
  font-size: 12px;
}


.reply-bubble div {
  text-overflow: ellipsis;
  /* margin-top: 2px; */
}

.small-bold {
  font-size: 14px;
  font-weight: 600;
}

article.bold-article {
  /* border: 2px solid #666; */
  background-color: #DAFFCD;
}

.bottom-line {
  border-bottom: 1px solid #ddd;
  margin-bottom: 8px;
}

.main-body, .main-body p {
  color: #444;
  font-size: 18px;
  line-height: 24px;
}

.main-body p {
  margin-bottom: 16px;
}

.box {
  border: 1px solid #ddd;
  border-radius: 8px;
  margin-top: 16px;
  padding: 16px;
}

.slim-box {
  border: 1px solid #ddd;
  border-radius: 8px;
  margin-top: 0px;
  padding: 8px 16px;
}

.top-box-small {
  margin-top: -8px;
  padding: 8px 12px;
  border-bottom: 1px solid #ddd;
  font-size: 14px;  
  color: #444;
  display: flex;
  flex-direction: row;

}

.top-box-small img {
  width: 32px;
  height: 32px;
  object-fit: contain;
  margin-right: 8px;
}


h2 {
  /* margin-bottom: 8px; */
  font-size: 20px;
}

.left-bar {
  border-left: 1px solid black;
  padding-left: 8px;
}

.bottom-gap {
  margin-bottom: 4px;
}

.top-gap {
  margin-top: 4px;
}

.focus-message {
  border-color: #999;
  background-color: #f5f5f5;
}

.small-message .text {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
  /* font-size: 14px; */
  color: #666;
}

.one-line {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.left {
  text-align: left;  
}

.pill {  
  background-color: #eee;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 2px 4px;
  margin-left: -4px;
}

.big-rounded {
  border-radius: 8px;
}

input {
  font-size: 16px;
  padding: 8px;
  margin-bottom: 4px;
  border-radius: 8px;
  border: 1px solid #ddd;
}

.popup-frame {
  z-index: 100;  
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

#sidebar-popup-background {
  z-index: 100;  
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  background-color: black;
  opacity: 0.2;
}

#tree-popup {
  max-width: 500px;
  width: 100%;
  margin: 0px auto;
  margin-bottom: 16px;
  /* background-color: white; */
}

#comment-scroller {
  overflow-y: scroll;
  background-color: white;
  border-radius: 8px;
}


div::-webkit-scrollbar-track
{
    border-radius: 10px;
    /*background-color: #F5F5F5;*/
}

div::-webkit-scrollbar
{
    width: 8px;
    height: 4px;
    right: 16px;
    /* margin-top: 16px; */
    /*background-color: #F5F5F5;*/
}

div::-webkit-scrollbar-thumb
{
    border-radius: 10px;
    background-color: #ccc;
}

#popup-backdrop {
  background-color: black;
  opacity: 0.8;
  z-index: 100;  
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
}

#follower-popup, #profile-popup {
  width: 300px;
  /* max-width: 400px; */
  flex: 1;
  z-index: 200;
  position: absolute;
  top: 50px;
  margin: auto;
  background-color: white;
  padding: 16px;
  border-radius: 16px;
}

#link-popup {
  width: 300px;
  /* max-width: 400px; */
  flex: 1;
  z-index: 200;
  position: absolute;
  top: 50px;
  margin: auto;
  background-color: white;
  border: 1px solid #ddd;
  padding: 16px;
  border-radius: 8px;
  box-shadow: rgb(85 85 85 / 50%) 0px 6px 24px;
}

.hover-underline {
  cursor: pointer;
}

.hover-underline:hover {
  text-decoration: underline;

}

.form-label {
  font-size: 13px;
  margin-top: 8px;
  font-weight: bold;
  margin-left: 8px;
  margin-bottom: 2px;
}

.comment-entry-reply-to {
  border-left: 1px solid #ddd;
  padding-left: 8px;
}

.comment-expanded {
  /* cursor: pointer; */
}

.comment-expanded .comment-date {
  display: none;
}

.comment-collapsed {
  cursor: pointer;
}

.comment-collapsed .comment-actions {
  display: none;
}

.comment-expanded .comment-actions {
  display: flex;
}

.comment-collapsed .comment-down-icon {
  color: #999;
}
.comment-collapsed .comment-up-icon {
  display: none;
}

.comment-expanded .comment-up-icon {
  color: #999;
}
.comment-expanded .comment-down-icon {
  display: none;
}



.comment-collapsed .comment-body {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
  line-height: 21px;
}

.comment-expanded .reply-to-short {
  display: none;
}


.comment-collapsed .reply-to-short {
  margin-right: 6px;
  /* border: 1px solid #999; */
  /* border-radius: 8px; */
  color: #666;
  /* padding: 0px 5px; */
  font-size: 16px;
}

.comment-collapsed .comment-reply-to {
  display: none;
}

.comment-collapsed .comment-reply-author {
  font-size: 12px;
  /* display: inline; */
  display: none;
  margin-right: 8px;
}

.comment-collapsed .comment-reply-text {
  display: inline;
  font-size: 12px;
}

.comment-collapsed .comment-reply-to {
  white-space: nowrap;
  overflow-x: hidden;
  text-overflow: ellipsis;
  margin-bottom: 4px;
  margin-top: 4px;
  line-height: 13px;
}

.comment-expanded .public-author {
  display: none;
}

.comment-collapsed .public-expanded-author {
  display: none;
}

.comment-expanded .comment-reply-to {
  margin-bottom: 4px
}

.first-line {
  color: #666;
  margin-left: 4px;
}

.extra-button {
  flex-shrink: 0;
  font-size: 14px;
  /* border: 1px solid #1DA1F2; */
  /* color: #1DA1F2; */
  border: 1px solid #999;
  color: #999;
   display: inline-block;
  padding: 2px 6px;
  border-radius: 8px;
  margin-bottom: 4px;
  cursor: pointer;
}

.expand-button {
  flex-shrink: 0;
  font-size: 14px;
  border: 1px solid #1DA1F2; 
  color: #1DA1F2;
  /* border: 1px solid #999; */
  /* color: #999; */
   display: inline-block;
  padding: 2px 6px;
  /* border-radius: 8px; */
  margin: 4px;
  margin-bottom: 4px;
  margin-top: 16px;
  cursor: pointer;
}


.collapse-button {
  font-size: 14px;
  cursor: pointer;
  margin-left: 4px;
  color: #888;
  padding: 4px 8px;
}

.profile-photo-big {
  width: 160px;
  height: 160px;
  border-radius: 80px;
  border: 1px solid #ddd;
  align-self: center;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 16px;
  color:rgb(27, 149, 224)
}

#profile-photo-button {
  width: 50px;
  height: 50px;
  border-radius: 25px;
  border: 1px solid #ddd;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  /* margin-bottom: 16px; */
  color:rgb(27, 149, 224);
  margin-right: 12px;
}


.highlighted-footnote {
  background-color: #f5f5f5;
  padding: 8px 0px;
  border-radius: 8px;
}

.unread-comment {
  font-weight: bold;
  font-size: 14px;
  background-color: #f5f5f5;
  border-radius: 16px; border: 1px solid #666; padding: 4px 8px; margin-top: 4px 

}

.read-comment {
  font-size: 14px;
  border-radius: 16px; border: 1px solid #ddd; padding: 4px 8px; margin-top: 4px 
}

.edit-icon {
  font-size: 22px; 
  padding: 1px 4px;
  margin: 1px; 
  color: #666; 
  cursor: pointer;
  border-radius: 4px;
}

.edit-icon:hover {
  background-color: #eee;
}

[contenteditable=true]:empty:before{
  content: attr(placeholder);
  pointer-events: none;
  color: #999;
  display: block; /* For Firefox */
}

.link-suggestion, .new-card-name {
  color:rgb(27, 149, 224); 
  margin-bottom: 4px;
  cursor: pointer;
}

#new-card-link {
  color:rgb(27, 149, 224); 
  margin-bottom: 4px;
  cursor: pointer;
}

.new-button {
  font-size: 14px;
  /* padding: 6px; */
  flex-shrink: 0;
  white-space: nowrap;
  align-self: center;
  padding: 5px 10px;
  margin-right: 4px;
  margin-left: 8px;
  box-shadow: rgb(85 85 85 / 50%) 0px 1px 3px;
  /* border: 1px solid #ddd; */
  background-color: white;
  color: #666;
  border-radius: 14px;
  cursor: pointer;
}

#my-pub-list {
  display: block;
  position: absolute;
  right: 0px;
  top: 36px; 
  /* top: 90px; */
  background-color: white;
  padding: 8px 0px;
  margin-right: 8px;
  border-radius: 4px;
  box-shadow: rgb(85 85 85 / 50%) 0px 1px 4px;
  border: 1px solid #ddd;
  z-index: 200;
}

.new-card-pub {
  display: flex;
  align-items: center;
  padding: 8px 16px;
}

.new-card-pub:hover {
  background-color: #eee;
}

.side-bar {
  position: fixed;
  right: 0px;
  bottom: 0px;
  width: 300px;
  z-index: 200;
  height: 100%;
  overflow-y: auto;
  background-color: white;
  box-shadow: rgb(85 85 85 / 50%) 0px 1px 4px;
  
}

.link-prefix {
  background-color: #eee;
  border-radius: 8px;
  font-size: 11px;
  padding: 1px 3px;  
  margin-left: 4px;
  color: #222;
}

.bullet {
  font-size: 18px; 
  line-height: 23px; 
  margin-bottom: 12px;
  color: #222;
}

.bullet a {
  color:rgb(27, 149, 224);
}

.bullet a.publink {
  white-space: nowrap;
}

.bullet a.followed {
  color: #3AB312;
}

.bullet a.empty {
  color: #999;
}

.bullet a:hover {
  text-decoration: underline;
}


.cite {
  vertical-align: top; 
  margin-left: 1px; 
  font-size: 14px; 
  color:rgb(27, 149, 224);
  cursor: pointer;
  line-height: 17px;
  margin-left: 1px;
}

.bullet .pubicon {
  height: 14px; 
  width: 14px; 
  margin-right: 4px;
  margin-bottom: -1px;
}

.button-icon, .following-button-icon {
  cursor: pointer;
}

#dummy-card {
  max-width: 496px;
  margin: auto;
  border: 2px solid #97D0F3;
  border-radius: 8px;
  margin-top: 8px;
  margin-bottom: 1000px;
}

#dummy-card h1 {
  padding: 36px 16px;
  font-size: 24px;
  font-weight: 700;
}

#dummy-card .loading {
  color: #999;
  padding: 36px 16px;
}